| Home · API Reference · Modules

Public Member Functions | Protected Types | Protected Attributes | List of all members
MKeyOverrideData Class Reference
Maliit server

`#include <keyoverridedata.h>`

Inheritance diagram for MKeyOverrideData:
[legend]

## Public Member Functions

| MKeyOverrideData ()
| ~MKeyOverrideData ()
QList< QSharedPointer< MKeyOverride > > | keyOverrides () const
bool | createKeyOverride (const QString &keyId)
QSharedPointer< MKeyOverride > | keyOverride (const QString &keyId) const

## Protected Types

typedef QMap< QString, QSharedPointer< MKeyOverride > > | KeyOverrides

## Protected Attributes

KeyOverrides | mKeyOverrides

## Detailed Description

Corresponds to the key overrides.

## Member Typedef Documentation

## ◆ KeyOverrides

typedef QMap<QString, QSharedPointer<MKeyOverride> > MKeyOverrideData::KeyOverrides

protected

## Constructor & Destructor Documentation

## ◆ MKeyOverrideData()

MKeyOverrideData::MKeyOverrideData | ( |  | ) |

Constructor.

## ◆ ~MKeyOverrideData()

MKeyOverrideData::~MKeyOverrideData | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ createKeyOverride()

bool MKeyOverrideData::createKeyOverride | ( | const QString & | keyId | ) |

Returns true if a new key override is created.

## ◆ keyOverride()

QSharedPointer< MKeyOverride > MKeyOverrideData::keyOverride | ( | const QString & | keyId | ) | const

Returns pointer to the key override for given keyId.

## ◆ keyOverrides()

QList< QSharedPointer< MKeyOverride > > MKeyOverrideData::keyOverrides | ( |  | ) | const

## Member Data Documentation

## ◆ mKeyOverrides

KeyOverrides MKeyOverrideData::mKeyOverrides

protected

Copyright © 2011 Nokia Corporation |  | Maliit